サポート » 使い方全般 » WP2.7でローカルのApacheがエラー

  • 解決済 kiba

    (@kiba)


    ローカル環境にWP2.7をインストールしたところ、Apacheが異常終了してしまいます。

    当方の環境
    —–
    NAOさんの「WordPress標準ガイドブック」記載どおりに構築
     apache_1.3.35-win32-x86
     php4.4.2-win32
     MySQL4.0.26-win32

     windowsXP HOME SP2
    —–

    2.7をインストールすると終了までいくのですが、その後ログインページやトップページにアクセスしようとするとapacheが強制終了します。

    前のバージョンでは問題なく使用できており、上記の強制終了のあとに、試しにWP2.6.5をインストールしたところ問題ありませんでした。

    また、インストールしたWP2.7はレンタルサーバーへのインストールは問題なくできているのでファイルが破損しているとは考え難いです。

    なにか解決方法や回避方法があれば教えて下さい。
    なお、ローカル環境の刷新もしたいのですが、そちらの知識はまったく持ち合わせておらず、詳しく解説しているURLなどがありましたら教えていただければ助かります。

5件の返信を表示中 - 1 - 5件目 (全5件中)
  • モデレーター IKEDA Yuriko

    (@lilyfan)

    2.7をインストールすると終了までいくのですが、その後ログインページやトップページにアクセスしようとするとapacheが強制終了します。

    PHP で異常発生したときに Apache が終了してしまうことがあります。
    Apache, PHP, MySQL いずれもバージョンが古いため (特に Apache の 1.3 系統はありえない)、最新のソフトウェアを使ってみてください。ローカル環境であれば、新しい Apache, PHP, MySQL の配布ファイルを取得して、新規インストールと同様に作業すれば問題ないはずです。

    返信ありがとうございます。

    自分なりにいろいろ試したのですが、わたしの力量ではインストールできませんでした。
    一応、「WordPress標準ガイドブック」に記載されているiniファイルなどの書き換えはしましたが、うごきません。 

    Apache2.2.11+php5.2.8ではまったくうごかせず、Apache2.0.63+php5.2.8ではphpMYadminを動かそうとすると、「使えない拡張子が・・」といってつかえず、インストール済みのWordPressを動かそうとすると、このphpでは使えないといわれる・・

    何とか動いたのはApache2.0.63+php4.4.2ですが、この組み合わせでは最初の質問と同様にWP27でApacheが強制終了。

    『Apacheなどの知識がまったく無い』、『環境の構築はローカルでWordPressを動かすためだけ』という条件で、どこの何をどのようにいじればよいのか、解説のあるサイト等があれば助かるのですが・・・

    なおmySQLは4.0.26のままです。これがネックになっているって事もあるんでしょうか?

    はじめまして。

    環境は少し違いますがWinXPにて2.7の動作は異常なく行えています。
    現状ですとエラー内容がわかりませんので、以下をお試しください。

    1.Apacheのログを確認する。
    Apacheをログインしたフォルダにlogsというフォルダがあると思います。
    ※ディフォルトだとC:\Program Files\Apache2\logs\かな?
    その中にerror.logというファイルがありますので、エラー発生後にファイルをテキストエディタで開いて確認してみてください。※メモ帳でも開けると思います。

    2.コマンドプロンプトからApacheを起動し、異常終了した際のエラーメッセージを確認する。
    スタートボタン→ファイル名を指定して実行→cmdと入力しEnterでコマンドプロンプトが起動します。そこで以下のように入力し、Apacheを起動する。

    C:\Program Files\Apache2\bin\httpd.exe
    ※パスは環境により異なります。先にhttpd.exeを探してみてください。

    エラーが発生したあとにコマンドプロンプトを見るとなにかメッセージが出ていると思いますのでご確認ください。

    ちなみにphpMyAdminの方は下記のリンクと同じ現象だと思いますので、参考にしてください。
    http://www.nishi2002.com/dwmx2004/006.htm

    こんばんは、あのですね…私も久しぶりにイジってみて同じような不具合に当たっているんですが、
    Naoさん方式の《WAMPモジュールを別々にインストールする方式》ではなく、統合環境を試してみて
    はいかがでしょうか!?
    ・XAMPP【ザンプ】をインストールしてみては!?

    http://www.wp-guide.net/wpinstall/wplocalinstall/144.html

    http://wpdocs.maple4ever.net/archives/eclipse-pdt-xampp-01/

    ~この他、”All About”なんかにもXAMPPの詳しい解説記事がありますよ。

    頑張りましょう!

    <PS>無用な干渉やポートの競合を避けるため、個別にインストールしたApache/MySQL/PHP等
    は削除してしまったほうが無難だと思います。

    返信もせず、長い間ほったらかしにして申し訳ありませんでした。

    DENSE2 さんに紹介いただいたサイトを参考に、XAMPPを導入したところ問題なく動くようになりました。

    DENSE2さんをはじめ、回答いただいた皆様ありがとうございました。

5件の返信を表示中 - 1 - 5件目 (全5件中)
  • トピック「WP2.7でローカルのApacheがエラー」には新たに返信することはできません。